import * as React from 'react';
import { RouteComponentProps, RouteProps, Route, Switch } from 'react-router-dom';

import SignIn from '../member/SignIn';
import SignUp from '../member/SignUp';
import EmailConfirm from '../member/EmailConfirm';
import ForgotPassword from '../member/ForgotPassword';

export interface Props extends RouteComponentProps<any> {
}
export interface State {
}

class AccountLayout extends React.Component<Props, State> {

  public constructor(props?: Props, context?: State) {
    super(props, context);

  }

  public render(): JSX.Element {
    return (
        <Switch>
          <Route path={`${this.props.match.url}/signin`} component={SignIn}/>
          <Route path={`${this.props.match.url}/signup`} component={SignUp}/>
          <Route path={`${this.props.match.url}/check_email`} component={EmailConfirm}/>
          <Route path={`${this.props.match.url}/forgot_password`} component={ForgotPassword}/>
        </Switch>
    );
  }

}


export default AccountLayout;
