import * as React from 'react';
import { Button,
  Table,
  Label,
  Segment,
  Header,
  Container,
} from 'semantic-ui-react';
import { TargetTable } from '@overflow/target/react/components/TargetList';
import Probe from '@overflow/probe/api/model/Probe';

export interface StateProps {
  probe: Probe;
}

export interface DispatchProps {

}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class ProbeDetail extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
    };
  }

  public render(): JSX.Element {
    return (
      <Container fluid>
        <ProbeBasicInfo probe={this.props.probe} />
        <TargetTable />
      </Container>
    );
  }
}

export class ProbeBasicInfo extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
    };
  }

  public handleStartStop(event: any, data: any): void {
    console.log(event);
  }
  public handleDiscovery(event: any, data: any): void {
    alert('Discovery');
  }

  public showStartStopBtn(): JSX.Element {
    let temp: any = null;
    temp = this.props.probe;
    if (temp.metaProbeStatus.name === 'STARTED') {
      return <Button content='Stop' icon='stop' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    } else {
      return <Button content='Start' icon='play' labelPosition='left' color={'blue'} floated={'right'} onClick={this.handleStartStop} />;
    }
  }

  public render(): JSX.Element {
    return (
      <Container fluid>
        <Header as='h3' dividing>Probe Info</Header>
        <Table celled={false}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Domain</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.domain.name}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Status</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.status.name}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Host IP</Header>
              </Table.Cell>
              <Table.Cell>????</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Host Name</Header>
              </Table.Cell>
              <Table.Cell>????</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Authorized at</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.createDate}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Description</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.description}</Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>

        <Button content='Discovery' icon='search' labelPosition='left' floated={'right'} positive onClick={this.handleDiscovery} />
        {this.showStartStopBtn()}

      </Container>
    );
  }
}
