import * as React from 'react';
import { Button, Table, Header, Container } from 'semantic-ui-react';
import { SensorList } from '@overflow/sensor/react/components/SensorList';
import { DetailContainer } from '@overflow/commons/react/component/DetailContainer';

import Probe from '@overflow/probe/api/model/Probe';
import Target from '@overflow/target/api/model/Target';


export interface StateProps {
  probe?: Probe;
  target?: Target;
}

export interface DispatchProps {
 onRead(id: string): void;
}

export type Props = StateProps & DispatchProps;

export interface State {
  selected: Probe;
  isDetail: boolean;
  list: Probe[];
}


export class TargetDetail extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
      selected: null,
      isDetail: false,
      list: null,
    };
  }

  public handleBack(): void {
    console.log('handleBack');
  }

  public handleRemoveTarget(): void {
    alert('remove');
  }

  public render(): JSX.Element {

    if (this.props.probe === null) {
      return null;
    }

    const items = [
      { name: 'Info', child: <TargetBasicInfo probe={this.props.probe} /> },
      { name: 'Sensors', child: <SensorList target={this.props.target} /> },
    ];

    return (
      <Container fluid>
        <TargetBasicInfo probe={this.props.probe} />
        <SensorList target={this.props.target} />
      </Container>
    );
  }
}


export interface TargetBasicInfoProps {
  probe?: Probe;
}

export interface TargetBasicInfoState {

}

export class TargetBasicInfo extends React.Component<TargetBasicInfoProps, TargetBasicInfoState> {

  constructor(props: TargetBasicInfoProps, context: TargetBasicInfoState) {
    super(props, context);
    this.state = {
    };
  }

  public handleRemoveTarget(): void {
    alert('remove');
  }

  public render(): JSX.Element {
    return (
      <Container fluid>
        <Header as='h3' dividing>Target Info</Header>
        <Table celled={false}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Name</Header>
              </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Type</Header>
              </Table.Cell>
              <Table.Cell>
                ????
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Sensor count</Header>
              </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Created at</Header>
              </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

          </Table.Body>
        </Table>
        <Button primary floated={'right'} negative onClick={this.handleRemoveTarget}>Remove</Button>
      </Container>
    );
  }
}
